---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: include/TGUI/Widgets/Label.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_380f920385a16f176be7632160138052.html">TGUI</a></li><li class="navelem"><a class="el" href="dir_0bb95f096d007de7ff009a2d5974766c.html">Widgets</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Label.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// TGUI - Texus&#39;s Graphical User Interface</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// Copyright (C) 2012-2017 Bruno Van de Velde (vdv_b@tgui.eu)</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// This software is provided &#39;as-is&#39;, without any express or implied warranty.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// In no event will the authors be held liable for any damages arising from the use of this software.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// Permission is granted to anyone to use this software for any purpose,</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// including commercial applications, and to alter it and redistribute it freely,</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// subject to the following restrictions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// 1. The origin of this software must not be misrepresented;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//    you must not claim that you wrote the original software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//    If you use this software in a product, an acknowledgment</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">//    in the product documentation would be appreciated but is not required.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">// 2. Altered source versions must be plainly marked as such,</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//    and must not be misrepresented as being the original software.</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">// 3. This notice may not be removed or altered from any source distribution.</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#ifndef TGUI_LABEL_HPP</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#define TGUI_LABEL_HPP</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;TGUI/Widgets/ClickableWidget.hpp&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacetgui.html">tgui</a></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;{</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword">class </span>LabelRenderer;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classtgui_1_1Label.html">   49</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1Label.html">Label</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1ClickableWidget.html">ClickableWidget</a></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    {</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classtgui_1_1Label.html#aa0bc55780302197e337a6cda7f0e16df">   53</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;Label&gt; <a class="code" href="classtgui_1_1Label.html#aa0bc55780302197e337a6cda7f0e16df">Ptr</a>; </div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classtgui_1_1Label.html#a9140ba27993e8a6fe9d2a48935d8d62d">   54</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;const Label&gt; <a class="code" href="classtgui_1_1Label.html#a9140ba27993e8a6fe9d2a48935d8d62d">ConstPtr</a>; </div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classtgui_1_1Label.html#afcabdb6aa458f5883f6831ccc731cb3b">   60</a></span>&#160;        <span class="keyword">enum class</span> <a class="code" href="classtgui_1_1Label.html#afcabdb6aa458f5883f6831ccc731cb3b">HorizontalAlignment</a></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        {</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            Left,   </div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;            Center, </div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            Right   </div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        };</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classtgui_1_1Label.html#a2974ef71da25253342a8b3660b6d094c">   71</a></span>&#160;        <span class="keyword">enum class</span> <a class="code" href="classtgui_1_1Label.html#a2974ef71da25253342a8b3660b6d094c">VerticalAlignment</a></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        {</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            Top ,   </div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            Center, </div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            Bottom  </div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        };</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        <span class="comment">// Default constructor</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="comment"></span>        <a class="code" href="classtgui_1_1Label.html">Label</a>();</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        <span class="keyword">static</span> <a class="code" href="classtgui_1_1Label.html#aa0bc55780302197e337a6cda7f0e16df">Label::Ptr</a> create(sf::String text = <span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        <span class="keyword">static</span> <a class="code" href="classtgui_1_1Label.html#aa0bc55780302197e337a6cda7f0e16df">Label::Ptr</a> copy(<a class="code" href="classtgui_1_1Label.html#a9140ba27993e8a6fe9d2a48935d8d62d">Label::ConstPtr</a> label);</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="classtgui_1_1Label.html#ac64651b374db759ffc8b3bed9c00d56a">  113</a></span>&#160;        std::shared_ptr&lt;LabelRenderer&gt; <a class="code" href="classtgui_1_1Label.html#ac64651b374db759ffc8b3bed9c00d56a">getRenderer</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;            <span class="keywordflow">return</span> std::static_pointer_cast&lt;<a class="code" href="classtgui_1_1LabelRenderer.html">LabelRenderer</a>&gt;(m_renderer);</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;        }</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPosition(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Layout2d.html">Layout2d</a>&amp; position) <span class="keyword">override</span>;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0">Transformable::setPosition</a>;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setSize(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Layout2d.html">Layout2d</a>&amp; size) <span class="keyword">override</span>;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">Transformable::setSize</a>;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;        <span class="keyword">virtual</span> sf::Vector2f getFullSize() <span class="keyword">const override</span>;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setFont(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Font.html">Font</a>&amp; font) <span class="keyword">override</span>;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;        <span class="keywordtype">void</span> setText(<span class="keyword">const</span> sf::String&amp; text);</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;</div><div class="line"><a name="l00195"></a><span class="lineno"><a class="line" href="classtgui_1_1Label.html#a723c050f7da5a16d0aaacf49f9e1bc96">  195</a></span>&#160;        <span class="keyword">const</span> sf::String&amp; <a class="code" href="classtgui_1_1Label.html#a723c050f7da5a16d0aaacf49f9e1bc96">getText</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;            <span class="keywordflow">return</span> m_string;</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;        }</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;        <span class="keywordtype">void</span> setTextStyle(sf::Uint32 style);</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;        sf::Uint32 getTextStyle() <span class="keyword">const</span>;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;        <span class="keywordtype">void</span> setTextSize(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size);</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getTextSize() <span class="keyword">const</span>;</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;</div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;        <span class="keywordtype">void</span> setHorizontalAlignment(<a class="code" href="classtgui_1_1Label.html#afcabdb6aa458f5883f6831ccc731cb3b">HorizontalAlignment</a> alignment);</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;        <a class="code" href="classtgui_1_1Label.html#afcabdb6aa458f5883f6831ccc731cb3b">HorizontalAlignment</a> getHorizontalAlignment() <span class="keyword">const</span>;</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;</div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;        <span class="keywordtype">void</span> setVerticalAlignment(<a class="code" href="classtgui_1_1Label.html#a2974ef71da25253342a8b3660b6d094c">VerticalAlignment</a> alignment);</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;</div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;</div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;        <a class="code" href="classtgui_1_1Label.html#a2974ef71da25253342a8b3660b6d094c">VerticalAlignment</a> getVerticalAlignment() <span class="keyword">const</span>;</div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;</div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;</div><div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;        <span class="keywordtype">void</span> setTextColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;        <span class="keyword">const</span> sf::Color&amp; getTextColor() <span class="keyword">const</span>;</div><div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;</div><div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setAutoSize(<span class="keywordtype">bool</span> autoSize);</div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;</div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;</div><div class="line"><a name="l00319"></a><span class="lineno"><a class="line" href="classtgui_1_1Label.html#abd2f1cec1d15f03d2176ab4a5b713502">  319</a></span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classtgui_1_1Label.html#abd2f1cec1d15f03d2176ab4a5b713502">getAutoSize</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;            <span class="keywordflow">return</span> m_autoSize;</div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;        }</div><div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;</div><div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;</div><div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;        <span class="keywordtype">void</span> setMaximumTextWidth(<span class="keywordtype">float</span> maximumWidth);</div><div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;</div><div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;</div><div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;        <span class="keywordtype">float</span> getMaximumTextWidth() <span class="keyword">const</span>;</div><div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;</div><div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160;</div><div class="line"><a name="l00357"></a><span class="lineno">  357</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setOpacity(<span class="keywordtype">float</span> opacity) <span class="keyword">override</span>;</div><div class="line"><a name="l00358"></a><span class="lineno">  358</span>&#160;</div><div class="line"><a name="l00359"></a><span class="lineno">  359</span>&#160;</div><div class="line"><a name="l00368"></a><span class="lineno">  368</span>&#160;        <span class="keyword">virtual</span> sf::Vector2f getWidgetOffset() <span class="keyword">const override</span>;</div><div class="line"><a name="l00369"></a><span class="lineno">  369</span>&#160;</div><div class="line"><a name="l00370"></a><span class="lineno">  370</span>&#160;</div><div class="line"><a name="l00376"></a><span class="lineno">  376</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setParent(<a class="code" href="classtgui_1_1Container.html">Container</a>* parent) <span class="keyword">override</span>;</div><div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;</div><div class="line"><a name="l00378"></a><span class="lineno">  378</span>&#160;</div><div class="line"><a name="l00382"></a><span class="lineno">  382</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> leftMouseReleased(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y) <span class="keyword">override</span>;</div><div class="line"><a name="l00383"></a><span class="lineno">  383</span>&#160;</div><div class="line"><a name="l00384"></a><span class="lineno">  384</span>&#160;</div><div class="line"><a name="l00386"></a><span class="lineno">  386</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00387"></a><span class="lineno">  387</span>&#160;</div><div class="line"><a name="l00400"></a><span class="lineno">  400</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> reload(<span class="keyword">const</span> std::string&amp; primary = <span class="stringliteral">&quot;&quot;</span>, <span class="keyword">const</span> std::string&amp; secondary = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">bool</span> force = <span class="keyword">false</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00401"></a><span class="lineno">  401</span>&#160;</div><div class="line"><a name="l00402"></a><span class="lineno">  402</span>&#160;</div><div class="line"><a name="l00404"></a><span class="lineno">  404</span>&#160;        <span class="comment">// Makes a copy of the widget</span></div><div class="line"><a name="l00406"></a><span class="lineno"><a class="line" href="classtgui_1_1Label.html#ad76df4d002a58dfab6d64d56b3836e75">  406</a></span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> <a class="code" href="classtgui_1_1Label.html#ad76df4d002a58dfab6d64d56b3836e75">clone</a>()<span class="keyword"> const override</span></div><div class="line"><a name="l00407"></a><span class="lineno">  407</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160;            <span class="keywordflow">return</span> std::make_shared&lt;Label&gt;(*this);</div><div class="line"><a name="l00409"></a><span class="lineno">  409</span>&#160;        }</div><div class="line"><a name="l00410"></a><span class="lineno">  410</span>&#160;</div><div class="line"><a name="l00411"></a><span class="lineno">  411</span>&#160;</div><div class="line"><a name="l00413"></a><span class="lineno">  413</span>&#160;        <span class="comment">// This function is called every frame with the time passed since the last frame.</span></div><div class="line"><a name="l00415"></a><span class="lineno">  415</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <span class="keywordtype">void</span> update(sf::Time elapsedTime) <span class="keyword">override</span>;</div><div class="line"><a name="l00416"></a><span class="lineno">  416</span>&#160;</div><div class="line"><a name="l00417"></a><span class="lineno">  417</span>&#160;</div><div class="line"><a name="l00419"></a><span class="lineno">  419</span>&#160;        <span class="comment">// Rearrange the text, making use of the given size of maximum text width.</span></div><div class="line"><a name="l00421"></a><span class="lineno">  421</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> rearrangeText();</div><div class="line"><a name="l00422"></a><span class="lineno">  422</span>&#160;</div><div class="line"><a name="l00423"></a><span class="lineno">  423</span>&#160;</div><div class="line"><a name="l00425"></a><span class="lineno">  425</span>&#160;        <span class="comment">// Draws the widget on the render target.</span></div><div class="line"><a name="l00427"></a><span class="lineno">  427</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <span class="keywordtype">void</span> draw(sf::RenderTarget&amp; target, sf::RenderStates states) <span class="keyword">const override</span>;</div><div class="line"><a name="l00428"></a><span class="lineno">  428</span>&#160;</div><div class="line"><a name="l00429"></a><span class="lineno">  429</span>&#160;</div><div class="line"><a name="l00431"></a><span class="lineno">  431</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00432"></a><span class="lineno">  432</span>&#160;</div><div class="line"><a name="l00433"></a><span class="lineno">  433</span>&#160;        sf::RectangleShape m_background;</div><div class="line"><a name="l00434"></a><span class="lineno">  434</span>&#160;</div><div class="line"><a name="l00435"></a><span class="lineno">  435</span>&#160;        sf::String m_string;</div><div class="line"><a name="l00436"></a><span class="lineno">  436</span>&#160;        std::vector&lt;sf::Text&gt; m_lines;</div><div class="line"><a name="l00437"></a><span class="lineno">  437</span>&#160;</div><div class="line"><a name="l00438"></a><span class="lineno">  438</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> m_textSize = 18;</div><div class="line"><a name="l00439"></a><span class="lineno">  439</span>&#160;        sf::Uint32 m_textStyle = sf::Text::Style::Regular;</div><div class="line"><a name="l00440"></a><span class="lineno">  440</span>&#160;        <a class="code" href="classtgui_1_1Label.html#afcabdb6aa458f5883f6831ccc731cb3b">HorizontalAlignment</a> m_horizontalAlignment = HorizontalAlignment::Left;</div><div class="line"><a name="l00441"></a><span class="lineno">  441</span>&#160;        <a class="code" href="classtgui_1_1Label.html#a2974ef71da25253342a8b3660b6d094c">VerticalAlignment</a> m_verticalAlignment = VerticalAlignment::Top;</div><div class="line"><a name="l00442"></a><span class="lineno">  442</span>&#160;</div><div class="line"><a name="l00443"></a><span class="lineno">  443</span>&#160;        <span class="keywordtype">bool</span> m_autoSize = <span class="keyword">true</span>;</div><div class="line"><a name="l00444"></a><span class="lineno">  444</span>&#160;</div><div class="line"><a name="l00445"></a><span class="lineno">  445</span>&#160;        <span class="keywordtype">float</span> m_maximumTextWidth = 0;</div><div class="line"><a name="l00446"></a><span class="lineno">  446</span>&#160;</div><div class="line"><a name="l00447"></a><span class="lineno">  447</span>&#160;        <span class="comment">// Will be set to true after the first click, but gets reset to false when the second click does not occur soon after</span></div><div class="line"><a name="l00448"></a><span class="lineno">  448</span>&#160;        <span class="keywordtype">bool</span> m_possibleDoubleClick = <span class="keyword">false</span>;</div><div class="line"><a name="l00449"></a><span class="lineno">  449</span>&#160;</div><div class="line"><a name="l00450"></a><span class="lineno">  450</span>&#160;        <span class="keyword">friend</span> <a class="code" href="classtgui_1_1LabelRenderer.html">LabelRenderer</a>;</div><div class="line"><a name="l00451"></a><span class="lineno">  451</span>&#160;</div><div class="line"><a name="l00453"></a><span class="lineno">  453</span>&#160;    };</div><div class="line"><a name="l00454"></a><span class="lineno">  454</span>&#160;</div><div class="line"><a name="l00455"></a><span class="lineno">  455</span>&#160;</div><div class="line"><a name="l00457"></a><span class="lineno">  457</span>&#160;</div><div class="line"><a name="l00458"></a><span class="lineno"><a class="line" href="classtgui_1_1LabelRenderer.html">  458</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1LabelRenderer.html">LabelRenderer</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetRenderer.html">WidgetRenderer</a>, <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetBorders.html">WidgetBorders</a>, <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetPadding.html">WidgetPadding</a></div><div class="line"><a name="l00459"></a><span class="lineno">  459</span>&#160;    {</div><div class="line"><a name="l00460"></a><span class="lineno">  460</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00461"></a><span class="lineno">  461</span>&#160;</div><div class="line"><a name="l00468"></a><span class="lineno"><a class="line" href="classtgui_1_1LabelRenderer.html#ae60b6ac875e1b86e29f124497ec31a46">  468</a></span>&#160;        <a class="code" href="classtgui_1_1LabelRenderer.html#ae60b6ac875e1b86e29f124497ec31a46">LabelRenderer</a>(<a class="code" href="classtgui_1_1Label.html">Label</a>* label) : m_label{label} {}</div><div class="line"><a name="l00469"></a><span class="lineno">  469</span>&#160;</div><div class="line"><a name="l00470"></a><span class="lineno">  470</span>&#160;</div><div class="line"><a name="l00480"></a><span class="lineno">  480</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setProperty(std::string property, <span class="keyword">const</span> std::string&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00481"></a><span class="lineno">  481</span>&#160;</div><div class="line"><a name="l00482"></a><span class="lineno">  482</span>&#160;</div><div class="line"><a name="l00493"></a><span class="lineno">  493</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setProperty(std::string property, <a class="code" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&amp;&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00494"></a><span class="lineno">  494</span>&#160;</div><div class="line"><a name="l00495"></a><span class="lineno">  495</span>&#160;</div><div class="line"><a name="l00505"></a><span class="lineno">  505</span>&#160;        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> getProperty(std::string property) <span class="keyword">const override</span>;</div><div class="line"><a name="l00506"></a><span class="lineno">  506</span>&#160;</div><div class="line"><a name="l00507"></a><span class="lineno">  507</span>&#160;</div><div class="line"><a name="l00514"></a><span class="lineno">  514</span>&#160;        <span class="keyword">virtual</span> std::map&lt;std::string, ObjectConverter&gt; getPropertyValuePairs() <span class="keyword">const override</span>;</div><div class="line"><a name="l00515"></a><span class="lineno">  515</span>&#160;</div><div class="line"><a name="l00516"></a><span class="lineno">  516</span>&#160;</div><div class="line"><a name="l00525"></a><span class="lineno">  525</span>&#160;        <span class="keywordtype">void</span> setPadding(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Borders.html">Padding</a>&amp; padding) <span class="keyword">override</span>;</div><div class="line"><a name="l00526"></a><span class="lineno">  526</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1WidgetPadding.html#a06448dfb10275ea7939c248ddf88f46d">WidgetPadding::setPadding</a>;</div><div class="line"><a name="l00527"></a><span class="lineno">  527</span>&#160;</div><div class="line"><a name="l00528"></a><span class="lineno">  528</span>&#160;</div><div class="line"><a name="l00535"></a><span class="lineno">  535</span>&#160;        <span class="keywordtype">void</span> setTextColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00536"></a><span class="lineno">  536</span>&#160;</div><div class="line"><a name="l00537"></a><span class="lineno">  537</span>&#160;</div><div class="line"><a name="l00549"></a><span class="lineno">  549</span>&#160;        <span class="keywordtype">void</span> setBackgroundColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00550"></a><span class="lineno">  550</span>&#160;</div><div class="line"><a name="l00551"></a><span class="lineno">  551</span>&#160;</div><div class="line"><a name="l00558"></a><span class="lineno">  558</span>&#160;        <span class="keywordtype">void</span> setBorderColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00559"></a><span class="lineno">  559</span>&#160;</div><div class="line"><a name="l00560"></a><span class="lineno">  560</span>&#160;</div><div class="line"><a name="l00562"></a><span class="lineno">  562</span>&#160;        <span class="comment">// Draws the widget on the render target.</span></div><div class="line"><a name="l00564"></a><span class="lineno">  564</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> draw(sf::RenderTarget&amp; target, sf::RenderStates states) <span class="keyword">const</span>;</div><div class="line"><a name="l00565"></a><span class="lineno">  565</span>&#160;</div><div class="line"><a name="l00566"></a><span class="lineno">  566</span>&#160;</div><div class="line"><a name="l00568"></a><span class="lineno">  568</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00569"></a><span class="lineno">  569</span>&#160;</div><div class="line"><a name="l00571"></a><span class="lineno">  571</span>&#160;        <span class="comment">// Makes a copy of the renderer</span></div><div class="line"><a name="l00573"></a><span class="lineno">  573</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> std::shared_ptr&lt;WidgetRenderer&gt; clone(<a class="code" href="classtgui_1_1Widget.html">Widget</a>* widget) <span class="keyword">override</span>;</div><div class="line"><a name="l00574"></a><span class="lineno">  574</span>&#160;</div><div class="line"><a name="l00575"></a><span class="lineno">  575</span>&#160;</div><div class="line"><a name="l00577"></a><span class="lineno">  577</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00578"></a><span class="lineno">  578</span>&#160;</div><div class="line"><a name="l00579"></a><span class="lineno">  579</span>&#160;        <a class="code" href="classtgui_1_1Label.html">Label</a>* m_label;</div><div class="line"><a name="l00580"></a><span class="lineno">  580</span>&#160;</div><div class="line"><a name="l00581"></a><span class="lineno">  581</span>&#160;        sf::Color m_textColor;</div><div class="line"><a name="l00582"></a><span class="lineno">  582</span>&#160;        sf::Color m_backgroundColor;</div><div class="line"><a name="l00583"></a><span class="lineno">  583</span>&#160;        sf::Color m_borderColor;</div><div class="line"><a name="l00584"></a><span class="lineno">  584</span>&#160;</div><div class="line"><a name="l00585"></a><span class="lineno">  585</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1Label.html">Label</a>;</div><div class="line"><a name="l00586"></a><span class="lineno">  586</span>&#160;</div><div class="line"><a name="l00588"></a><span class="lineno">  588</span>&#160;    };</div><div class="line"><a name="l00589"></a><span class="lineno">  589</span>&#160;</div><div class="line"><a name="l00591"></a><span class="lineno">  591</span>&#160;}</div><div class="line"><a name="l00592"></a><span class="lineno">  592</span>&#160;</div><div class="line"><a name="l00594"></a><span class="lineno">  594</span>&#160;</div><div class="line"><a name="l00595"></a><span class="lineno">  595</span>&#160;<span class="preprocessor">#endif // TGUI_LABEL_HPP</span></div><div class="ttc" id="namespacetgui_html"><div class="ttname"><a href="namespacetgui.html">tgui</a></div><div class="ttdoc">Namespace that contains all TGUI functions and classes. </div><div class="ttdef"><b>Definition:</b> Animation.hpp:33</div></div>
<div class="ttc" id="classtgui_1_1WidgetPadding_html_a06448dfb10275ea7939c248ddf88f46d"><div class="ttname"><a href="classtgui_1_1WidgetPadding.html#a06448dfb10275ea7939c248ddf88f46d">tgui::WidgetPadding::setPadding</a></div><div class="ttdeci">virtual void setPadding(const Padding &amp;padding)</div><div class="ttdoc">Changes the size of the padding. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:223</div></div>
<div class="ttc" id="classtgui_1_1Color_html"><div class="ttname"><a href="classtgui_1_1Color.html">tgui::Color</a></div><div class="ttdoc">Implicit converter for colors. </div><div class="ttdef"><b>Definition:</b> Color.hpp:39</div></div>
<div class="ttc" id="classtgui_1_1Font_html"><div class="ttname"><a href="classtgui_1_1Font.html">tgui::Font</a></div><div class="ttdef"><b>Definition:</b> Font.hpp:37</div></div>
<div class="ttc" id="classtgui_1_1Layout2d_html"><div class="ttname"><a href="classtgui_1_1Layout2d.html">tgui::Layout2d</a></div><div class="ttdoc">Class to store the position or size of a widget. </div><div class="ttdef"><b>Definition:</b> Layout.hpp:254</div></div>
<div class="ttc" id="classtgui_1_1Label_html"><div class="ttname"><a href="classtgui_1_1Label.html">tgui::Label</a></div><div class="ttdoc">Label widget. </div><div class="ttdef"><b>Definition:</b> Label.hpp:49</div></div>
<div class="ttc" id="classtgui_1_1Widget_html"><div class="ttname"><a href="classtgui_1_1Widget.html">tgui::Widget</a></div><div class="ttdoc">The parent class for every widget. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:71</div></div>
<div class="ttc" id="classtgui_1_1Label_html_ad76df4d002a58dfab6d64d56b3836e75"><div class="ttname"><a href="classtgui_1_1Label.html#ad76df4d002a58dfab6d64d56b3836e75">tgui::Label::clone</a></div><div class="ttdeci">virtual Widget::Ptr clone() const  override</div><div class="ttdoc">Makes a copy of the widget if you don&amp;#39;t know its exact type. </div><div class="ttdef"><b>Definition:</b> Label.hpp:406</div></div>
<div class="ttc" id="classtgui_1_1Label_html_abd2f1cec1d15f03d2176ab4a5b713502"><div class="ttname"><a href="classtgui_1_1Label.html#abd2f1cec1d15f03d2176ab4a5b713502">tgui::Label::getAutoSize</a></div><div class="ttdeci">virtual bool getAutoSize() const </div><div class="ttdoc">Returns whether the label is auto-sized or not. </div><div class="ttdef"><b>Definition:</b> Label.hpp:319</div></div>
<div class="ttc" id="classtgui_1_1Label_html_aa0bc55780302197e337a6cda7f0e16df"><div class="ttname"><a href="classtgui_1_1Label.html#aa0bc55780302197e337a6cda7f0e16df">tgui::Label::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; Label &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> Label.hpp:53</div></div>
<div class="ttc" id="classtgui_1_1Label_html_a723c050f7da5a16d0aaacf49f9e1bc96"><div class="ttname"><a href="classtgui_1_1Label.html#a723c050f7da5a16d0aaacf49f9e1bc96">tgui::Label::getText</a></div><div class="ttdeci">const sf::String &amp; getText() const </div><div class="ttdoc">Returns the text. </div><div class="ttdef"><b>Definition:</b> Label.hpp:195</div></div>
<div class="ttc" id="classtgui_1_1Transformable_html_a66fe5d2a7b1477cab073984a9a3e13bc"><div class="ttname"><a href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">tgui::Transformable::setSize</a></div><div class="ttdeci">virtual void setSize(const Layout2d &amp;size)</div><div class="ttdoc">Changes the size of the widget. </div></div>
<div class="ttc" id="classtgui_1_1WidgetPadding_html"><div class="ttname"><a href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></div><div class="ttdoc">Parent class for every widget that has padding. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:210</div></div>
<div class="ttc" id="classtgui_1_1LabelRenderer_html_ae60b6ac875e1b86e29f124497ec31a46"><div class="ttname"><a href="classtgui_1_1LabelRenderer.html#ae60b6ac875e1b86e29f124497ec31a46">tgui::LabelRenderer::LabelRenderer</a></div><div class="ttdeci">LabelRenderer(Label *label)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> Label.hpp:468</div></div>
<div class="ttc" id="classtgui_1_1Transformable_html_aef14a1428f63eeb8bd820a1b4821a3d0"><div class="ttname"><a href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0">tgui::Transformable::setPosition</a></div><div class="ttdeci">virtual void setPosition(const Layout2d &amp;position)</div><div class="ttdoc">set the position of the widget </div></div>
<div class="ttc" id="classtgui_1_1ClickableWidget_html"><div class="ttname"><a href="classtgui_1_1ClickableWidget.html">tgui::ClickableWidget</a></div><div class="ttdoc">Clickable widget. </div><div class="ttdef"><b>Definition:</b> ClickableWidget.hpp:55</div></div>
<div class="ttc" id="classtgui_1_1LabelRenderer_html"><div class="ttname"><a href="classtgui_1_1LabelRenderer.html">tgui::LabelRenderer</a></div><div class="ttdef"><b>Definition:</b> Label.hpp:458</div></div>
<div class="ttc" id="classtgui_1_1WidgetBorders_html"><div class="ttname"><a href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></div><div class="ttdoc">Parent class for every widget that has borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:136</div></div>
<div class="ttc" id="classtgui_1_1ObjectConverter_html"><div class="ttname"><a href="classtgui_1_1ObjectConverter.html">tgui::ObjectConverter</a></div><div class="ttdoc">Implicit converter for settable properties. </div><div class="ttdef"><b>Definition:</b> ObjectConverter.hpp:42</div></div>
<div class="ttc" id="classtgui_1_1Widget_html_a388912f13898735531886bc676b14f81"><div class="ttname"><a href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">tgui::Widget::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; Widget &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:75</div></div>
<div class="ttc" id="classtgui_1_1Container_html"><div class="ttname"><a href="classtgui_1_1Container.html">tgui::Container</a></div><div class="ttdoc">Container widget. </div><div class="ttdef"><b>Definition:</b> Container.hpp:47</div></div>
<div class="ttc" id="classtgui_1_1Borders_html"><div class="ttname"><a href="classtgui_1_1Borders.html">tgui::Borders</a></div><div class="ttdef"><b>Definition:</b> Borders.hpp:37</div></div>
<div class="ttc" id="classtgui_1_1Label_html_a2974ef71da25253342a8b3660b6d094c"><div class="ttname"><a href="classtgui_1_1Label.html#a2974ef71da25253342a8b3660b6d094c">tgui::Label::VerticalAlignment</a></div><div class="ttdeci">VerticalAlignment</div><div class="ttdoc">The vertical text alignment. </div><div class="ttdef"><b>Definition:</b> Label.hpp:71</div></div>
<div class="ttc" id="classtgui_1_1Label_html_afcabdb6aa458f5883f6831ccc731cb3b"><div class="ttname"><a href="classtgui_1_1Label.html#afcabdb6aa458f5883f6831ccc731cb3b">tgui::Label::HorizontalAlignment</a></div><div class="ttdeci">HorizontalAlignment</div><div class="ttdoc">The horizontal text alignment. </div><div class="ttdef"><b>Definition:</b> Label.hpp:60</div></div>
<div class="ttc" id="classtgui_1_1Label_html_ac64651b374db759ffc8b3bed9c00d56a"><div class="ttname"><a href="classtgui_1_1Label.html#ac64651b374db759ffc8b3bed9c00d56a">tgui::Label::getRenderer</a></div><div class="ttdeci">std::shared_ptr&lt; LabelRenderer &gt; getRenderer() const </div><div class="ttdoc">Returns the renderer, which gives access to functions that determine how the widget is displayed...</div><div class="ttdef"><b>Definition:</b> Label.hpp:113</div></div>
<div class="ttc" id="classtgui_1_1WidgetRenderer_html"><div class="ttname"><a href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></div><div class="ttdoc">Base class for all renderer classes. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:682</div></div>
<div class="ttc" id="classtgui_1_1Label_html_a9140ba27993e8a6fe9d2a48935d8d62d"><div class="ttname"><a href="classtgui_1_1Label.html#a9140ba27993e8a6fe9d2a48935d8d62d">tgui::Label::ConstPtr</a></div><div class="ttdeci">std::shared_ptr&lt; const Label &gt; ConstPtr</div><div class="ttdoc">Shared constant widget pointer. </div><div class="ttdef"><b>Definition:</b> Label.hpp:54</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:41 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
